label hallway:
    scene bg f1_hallway onlayer backgrounds with Dissolve(0.5)
    show screen hallway_screen_bg
    show screen hallway_screen_top
    $ infobox = ""
    #show screen Int_Test2_Top
    #$ floor1 = "static"
    $ floor1_nav["hallway"] = False
    $ floor_type = "carpet"
    $ maxY = 1050 - charadj_y
    $ minY = 780 - charadj_y
    $ maxX = maxX_base
    $ minX = minX_base

    window hide
    $ standWalk=0
    # place sprite
    if prev_room == "bedroom":
        $ sX = 1600
        $ sY = 300
        play sound "audio/sounds/dooropen2.ogg"
    elif prev_room == "livingroom":
        $ sX = 0
        $ sY = 400
    else:
        $ sX = 200
        $ sY = 400
        play sound "audio/sounds/dooropen2.ogg"

    show prince stand zorder 10 onlayer screens with Dissolve(0.5):
        xpos sX
        ypos sY
        xzoom dir

    show screen checkMouse

    $ renpy.pause(hard=True)

label bedroom:
    scene bg f1_bedroom onlayer backgrounds with Dissolve(0.5)
    show screen bedroom_screen_bg
    show screen bedroom_screen_top
    $ infobox = ""
    play sound "audio/sounds/dooropen2.ogg"
    $ floor_type = "carpet"
    $ floor1_nav["bedroom"] = False
    $ maxY = 1050 - charadj_y
    $ minY = 900 - charadj_y
    $ maxX = maxX_base
    $ minX = minX_base

    window hide
    $ standWalk=0
    # place sprite
    $ sX = 100
    $ sY = 400

    show prince stand zorder 10 onlayer screens with Dissolve(0.5):
        xpos sX
        ypos sY
        xzoom dir

    show screen checkMouse

    $ renpy.pause(hard=True)
label bedroom_dresser:
    $ cutscene=True
    $ floor1_ints["bedroom_dresser"] = False
    if "Clothes" not in inventorylist:
        hide screen checkMouse
        $ inventorylist.append("Clothes")
        play sound "audio/sounds/draweropen1.ogg"
        $ renpy.pause(0.7)
        "There's some clean clothes. I should take them with me to the bathroom."
        play sound "audio/sounds/inventorychime1.ogg"
        $ new_item = "Clothes"
        $ inventory_add_toggle = True
        show screen checkMouse
        show screen inventory_add
    elif 1 not in floor1_cutscenes:
        "I already got my clothes. I should go to the bathroom and shower."
    else:
        "I don't need anything else from here." 
    jump checkDist
label bedroom_mirror:
    $ cutscene=True
    $ floor1_ints["bedroom_mirror"] = False
    if 1 in floor1_cutscenes:
        "...Me."
    else:
        "It's me. I... should probably take a shower."
    jump checkDist
label bedroom_bed:
    $ cutscene=True
    $ floor1_ints["bedroom_bed"] = False
    "Hm. Can't go back to bed."
    jump checkDist
label bedroom_picture:
    $ cutscene=True
    $ floor1_ints["bedroom_picture"] = False
    "It's Dad."
    jump checkDist
label bedroom_poster:
    $ cutscene=True
    $ floor1_ints["bedroom_poster"] = False
    "Mom framed my favorite trading cards."
    jump checkDist
label bedroom_medal:
    $ cutscene=True
    $ floor1_ints["bedroom_medal"] = False
    #$ inventorylist.append("1st Place Medal")
    "I won first place last year. Mom was really proud."
    jump checkDist
label bedroom_soccer:
    $ cutscene=True
    $ floor1_ints["bedroom_soccer"] = False
    #$ inventorylist.append("1st Place Medal")
    "My soccer ball!"
    jump checkDist
label bedroom_pile:
    $ cutscene=True
    $ floor1_ints["bedroom_pile"] = False
    #$ inventorylist.append("1st Place Medal")
    "A pile of dirty clothes. No, wait, clean clothes. No, wait..."
    jump checkDist
label bedroom_doll:
    $ cutscene=True
    $ floor1_ints["bedroom_doll"] = False
    #$ inventorylist.append("1st Place Medal")
    "...A doll. It's not mine."
    jump checkDist

label bathroom:
    scene bg f1_bathroom onlayer backgrounds with Dissolve(0.5)
    show screen bathroom_screen_bg
    show screen bathroom_screen_top
    $ infobox = ""
    play sound "audio/sounds/dooropen2.ogg"
    $ floor_type = "tile"
    $ floor1_nav["bathroom"] = False
    $ maxY = 1050 - charadj_y
    $ minY = 870 - charadj_y
    $ maxX = maxX_base
    $ minX = minX_base

    window hide
    $ standWalk=0
    # place sprite
    $ sX = 1500
    $ sY = 400

    show prince stand zorder 10 onlayer screens with Dissolve(0.5):
        xpos sX
        ypos sY
        xzoom dir

    if "Clothes" not in inventorylist:
        "I'm not ready to shower yet - I don't have any clothes to change into!"
    elif 1 in floor1_cutscenes:
        "Ugh. I don't like being in here."
    else:
        # cutscene
        jump cutscene_1
        # end game
        return

    show screen checkMouse

    $ renpy.pause(hard=True)

label bathroom_sink:
    $ cutscene=True
    $ floor1_ints["bathroom_sink"] = False
    hide screen checkMouse

    if "Toolbox" not in inventorylist and 4 in floor1_cutscenes:
        "...the KITCHEN sink. Why would Mom put her toolbox in the bathroom?"
    else:
        "The sink is filled with water."

    show screen checkMouse
    jump checkDist

# add door interaction after cutscene 1 + 2
label livingroom:
    scene bg f1_livingroom onlayer backgrounds with Dissolve(0.5)
    $ char_lock = False
    show screen livingroom_screen_bg
    show screen livingroom_screen_top
    show screen checkMouse
    $ infobox = ""
    #$ clickable = True
    $ floor_type = "carpet"
    $ floor1_nav["livingroom"] = False
    $ maxY = 1050 - charadj_y
    $ minY = 870 - charadj_y
    $ maxX = maxX_base
    $ minX = minX_base

    window hide
    $ standWalk=0
    # place sprite
    if prev_room == "kitchen":
        $ sX = 900
        $ sY = 400
    elif prev_room == "stairs_f1":
        $ sX = 800
        $ sY = 300
    else:
        $ sX = 1500
        $ sY = 400

    show prince stand zorder 10 onlayer screens with Dissolve(0.5):
        xpos sX
        ypos sY
        xzoom dir

    if 1 in floor1_cutscenes and 2 not in floor1_cutscenes:
        jump cutscene_2
    if 3 in floor1_cutscenes and 4 not in floor1_cutscenes:
        jump cutscene_4
    # if 4 in floor1_cutscenes:
    #     show hair_door anim zorder 9 onlayer screens:
    #         xpos 0
    #         ypos 900


    show screen checkMouse

    $ renpy.pause(hard=True)
label livingroom_portrait:
    $ cutscene=True
    $ floor1_ints["livingroom_portrait"] = False
    hide screen checkMouse

    "This was taken ages ago."

    "We were so happy back then... Even Dad is smiling."

    "Wait... Who is that girl? That's definitely not me."

    "I should ask Mom about it later."

    show screen checkMouse
    jump checkDist
label livingroom_boards:
    $ cutscene=True
    $ floor1_ints["livingroom_boards"] = False
    hide screen checkMouse

    if "Toolbox" in inventorylist and "Toolbox Key" in inventorylist and "Stepstool" in inventorylist:
        stop ambience fadeout 2.0
        "Okay! I can get these off the window now!!"

        show intro empty zorder 64 onlayer screens with Dissolve(0.5)

        play sound "audio/sounds/boardsremove1.ogg"
        $ renpy.pause(2.5)
        play ambience "snowfall2" loop fadein 6.0
        play sound "audio/sounds/boardsfall1.ogg"
        $ floor1_buttons["livingroom_boards"] = True
        show intro empty_true zorder 64 onlayer screens with Dissolve(1.0)
        "Wow. That was almost too easy to take off."
        "Time to get out of here!"
    else:
        "The window is boarded up. How could this have happened? Who did this?"

    show screen checkMouse
    jump checkDist
label livingroom_TV:
    $ cutscene=True
    $ floor1_ints["livingroom_TV"] = False
    hide screen checkMouse

    "I shouldn't watch TV right now."

    show screen checkMouse
    jump checkDist

label kitchen:
    scene bg f1_kitchen onlayer backgrounds with Dissolve(0.5)
    show screen kitchen_screen_bg
    show screen kitchen_screen_top
    $ infobox = ""
    $ floor_type = "tile"
    $ floor1_nav["kitchen"] = False
    $ maxY = 1050 - charadj_y
    $ minY = 850 - charadj_y
    $ maxX = maxX_base
    $ minX = minX_base

    window hide
    $ standWalk=0
    # place sprite
    $ sX = 1200
    $ sY = 400

    show prince stand zorder 10 onlayer screens with Dissolve(0.5):
        xpos sX
        ypos sY
        xzoom dir

    if 1 in floor1_cutscenes and 2 not in floor1_cutscenes:
        "I wonder where Mom is?"
    elif 2 in floor1_cutscenes and 3 not in floor1_cutscenes:#all((c in floor1_cutscenes for c in [1,2])) and 3 not in floor1_cutscenes:
        jump cutscene_3


    show screen checkMouse

    $ renpy.pause(hard=True)
label kitchen_fridge:
    $ cutscene=True
    $ floor1_ints["kitchen_fridge"] = False
    if "Toolbox" not in inventorylist:
        "The fridge. There's a bunch of stuff on top of the fridge that I've never been able to reach."
    elif "Stepstool" not in inventorylist:
        "The key must be up here! But how can I reach the top?"
    elif 5 not in floor1_cutscenes:
        jump cutscene_5
    else:
        "I don't need anything else from the top of the fridge."
    jump checkDist
label kitchen_stepstool:
    $ cutscene=True
    $ floor1_ints["kitchen_stepstool"] = False
    if "Toolbox" not in inventorylist:
        "A stepstool. Sometimes I use this to reach higher shelves when I'm putting away dishes."
    elif "Toolbox Key" not in inventorylist and "Toolbox" in inventorylist:
        hide screen checkMouse
        "Perfect. I can use this to get the key off the fridge."
        play sound "audio/sounds/inventorychime1.ogg"
        $ floor1_buttons["kitchen_stepstool"] = False
        $ new_item = "Stepstool"
        $ inventory_add_toggle = True
        $ inventorylist.append("Stepstool")
        show screen checkMouse
        show screen inventory_add
    jump checkDist
label kitchen_undersink:
    $ cutscene=True
    $ floor1_ints["kitchen_undersink"] = False
    if 4 not in floor1_cutscenes:
        "Under the sink. There's some tools and cleaning supplies here."
    elif "Toolbox" not in inventorylist:
        hide screen checkMouse

        play sound "audio/sounds/cabinet1.ogg"

        "Just what I needed!"

        "Ah, wait. The toolbox is locked. Where did Mom keep that key?"

        "It was on top of the fridge, right?"

        play sound "audio/sounds/inventorychime1.ogg"
        $ new_item = "Toolbox"
        $ inventory_add_toggle = True
        $ inventorylist.append("Toolbox")
        show screen checkMouse
        show screen inventory_add
    else:
        "I don't need anything else from here."
    jump checkDist

label stairs_f1:
    scene bg f1_stairs onlayer backgrounds #with Dissolve(0.5)
    #$ char_lock = True
    show screen stairs_f1_screen_bg
    show screen stairs_f1_screen_top
    $ infobox = ""
    #hide screen checkMouse
    #$ clickable = False
    $ floor_type = "dirt"
    $ floor1_nav["stairs_f1"] = False
    $ maxY = maxY_base
    $ minY = minY_base
    $ maxX = 233 - charadj_x
    $ minX = minX_base
    #if sX >= 750 - charadj_x and sX <= 1066-charadj_x

    window hide
    $ standWalk=0
    # place sprite
    $ sX = 0
    $ sY = 450

    show prince stand zorder 10 onlayer screens with Dissolve(0.5):
        xpos sX
        ypos sY
        xzoom dir

    if 6 not in floor1_cutscenes:
        jump cutscene_6

    show screen checkMouse

    $ renpy.pause(hard=True)
label stairs_f1_ladder:
    $ cutscene=True
    $ floor1_ints["stairs_f1_ladder"] = False
    hide screen checkMouse
    "Should I climb?"
    menu:
        "Let's go. To the second floor!":
            jump cutscene_7

        "No, wait.":
            "Not yet. I want to stay here a little longer."
            show screen checkMouse
            jump checkDist
